Generate lip sync video
Add lip-sync to a video using a TTS voice or uploaded audio.
POST
/openapi/v2/video/lip_sync/generateBody Parametersapplication/json
audio_media_id integer
Must pass audio_media_id or lip_sync_tts_speaker_id + lip_sync_tts_conent. Use the audio uploaded by the user
lip_sync_tts_content string
Audio_media_id or lip_sync_tts_speaker_id + lip_sync_tts_conent must be passed to use our TTS service
lip_sync_tts_speaker_id string
Audio_media_id or lip_sync_tts_speaker_id + lip_sync_tts_conent must be passed. Use our TTS service. Get TTS sounds through the interface.
source_media_id integer
Must pass source_video_id or video_media_id. Video uploaded by user
video_media_id integer
Must pass source_video_id or video_media_id Video generated through pixverse
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"lip_sync_tts_content": "hello this is harry, where are you from?",
3"lip_sync_tts_speaker_id": "auto",
4"video_media_id": 0
5}
1curl -X POST "https://api.digislash.com/openapi/v2/video/lip_sync/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"lip_sync_tts_content": "hello this is harry, where are you from?",
6"lip_sync_tts_speaker_id": "auto",
7"video_media_id": 0
8}'
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}
